You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-11-06 11:56:32

seboulonnais
Guest
Registered: 2010-02-05
Posts: 33

Erreur Update 9.2.3 vers 9.3.2

Bonjour à tous. Habituellement, je n'ai aucun souci pour faire les mise à jour GLPI. Mais cette fois ca se complique. Il semble que j'ai un souci de version de bdd. Mais je ne trouve aucune aide à ce sujet. Merci par avance.

FluxBB bbcode test


Glpi 9.1.3

Offline

#2 2018-11-06 12:02:16

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,243

Re: Erreur Update 9.2.3 vers 9.3.2

quelle base de données utilisez vous MySQL ? maria DB ? quelle version ?

il semble que les prérequis ont changé :
https://github.com/glpi-project/glpi/pu … 1e57ab1562


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3.1  en test (ubuntu 16.04 mariadb 10.2.4)

Offline

#3 2018-11-06 12:06:30

seboulonnais
Guest
Registered: 2010-02-05
Posts: 33

Re: Erreur Update 9.2.3 vers 9.3.2

Salut. Pour être franc, je ne suis pas expert linux. Voici ce que me dit le serveur :

perating system: Linux COSLGLPI 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt25-1 (2016-03-06) x86_64
PHP 5.6.30-0+deb8u1 apache2handler (Core, PDO, Phar, Reflection, SPL, SimpleXML, Zend OPcache, apache2handler, apc, apcu,
    bcmath, bz2, calendar, ctype, curl, date, dba, dom, ereg, exif, fileinfo, filter, ftp, gd, gettext, hash, iconv, imap, json,
    ldap, libxml, mbstring, mhash, mysql, mysqli, openssl, pcre, pdo_mysql, posix, readline, session, shmop, snmp, soap, sockets,
    standard, sysvmsg, sysvsem, sysvshm, tokenizer, wddx, xml, xmlreader, xmlwriter, zip, zlib)
Setup: max_execution_time="30" memory_limit="128M" post_max_size="8M" safe_mode="" session.save_handler="files"
    upload_max_filesize="2M"
Software: Apache/2.4.10 (Debian) (Apache/2.4.10 (Debian) Server at glpihpl Port 80)
    Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36
Server Software: (Debian)
    Server Version: 5.5.47-0+deb8u1
    Server SQL Mode:
    Parameters: root@localhost/glpi
    Host info: Localhost via UNIX socket


Glpi 9.1.3

Offline

#4 2018-11-06 12:17:46

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,243

Re: Erreur Update 9.2.3 vers 9.3.2

Server Version: 5.5.47-0+deb8u1 => il faut au moins 5.6
/!\ veillez à bien faire un dump complet de votre bdd  (de préférence en ligne de commande)
vous devez donc upgrader votre MySQL :

https://dev.mysql.com/doc/refman/5.7/en … begin.html

ou passer en maria DB ( au moins version 10)


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3.1  en test (ubuntu 16.04 mariadb 10.2.4)

Offline

#5 2018-11-06 15:38:54

seboulonnais
Guest
Registered: 2010-02-05
Posts: 33

Re: Erreur Update 9.2.3 vers 9.3.2

après plusieurs manipulation, j'ai réussi à installer mysql 5.7. Installation terminée mais maintenant, j'ai 410 tables non migrées au moteur Innodb. Je tente donc d'utiliser le script innodb_migration.php mais j'ai une erreur PHP Fatal Error : Allowed memory size... J'ai tenté d'augmenter la mémoire dans le php.ini mais sans succès. Je rate quoi?


Glpi 9.1.3

Offline

#6 2018-11-06 15:47:06

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,243

Re: Erreur Update 9.2.3 vers 9.3.2

auriez vous une très grosse table dans votre base ( glpi_logs par exemple) ?


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3.1  en test (ubuntu 16.04 mariadb 10.2.4)

Offline

#7 2018-11-06 15:54:37

seboulonnais
Guest
Registered: 2010-02-05
Posts: 33

Re: Erreur Update 9.2.3 vers 9.3.2

Comment le savoir?


Glpi 9.1.3

Offline

#8 2018-11-06 16:48:36

seboulonnais
Guest
Registered: 2010-02-05
Posts: 33

Re: Erreur Update 9.2.3 vers 9.3.2

C'est bon, j'ai mis un -1 en limite dans le php.ini du cli et j'ai relancé apache.


Glpi 9.1.3

Offline

Board footer

Powered by FluxBB